Subject: Re: [PATCH] diff --check: use colour

From: Jakub Narebski <[email-masked]>
Date: Fri, 26 Jan 2007 18:26:39 +0100

[Cc: [email-masked]]

Bill Lear wrote:

> On Friday, January 26, 2007 at 09:49:13 (-0600) Bill Lear writes:
>>...
>>Assuming that is correct, I should have a patch out before the end of
>>the day.
> 
> I did this:
> 
> git format-patch -s HEAD^
> 
> it produced this file:
> 
> 0001-Document-check-option-to-git-diff.patch
> 
> which looks to be formatted as a mail message:
> 
>>>From 2a81f1e97564b89ab622cf32b68e7cebf605eafe Mon Sep 17 00:00:00 2001
>>From: Bill Lear <[email-masked]>
>>Date: Fri, 26 Jan 2007 09:58:07 -0600
>>Subject: [PATCH] Document --check option to git-diff.
>>
>>
>>Signed-off-by: Bill Lear <[email-masked]>
>>---
>> Documentation/diff-options.txt |    5 +++++
>> Documentation/git-diff.txt     |    6 ++++++
>> 2 files changed, 11 insertions(+), 0 deletions(-)
>>...
> 
> 
> Do I optionally edit this file, putting my comments before the
> "Signed-off-by" line, and then just send this off to the list with my
> mail command, i.e.:

Before "Signed-off-by" line you put commit message. Any coments
which are not meant to be in commit message (like for example reply
to some email) are to be put after "---" line, but before diffstat.

Read Documentation/SubmittingPatches

> % mail [email-masked] < 0001-Document-check-option-to-git-diff.patch

This should work.

% git send-email --to [email-masked] 0001-Document-check-option-to-git-diff.patch

should also work.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git